/* Общие для мобилы и десктопа */

.mncart__submit-wrap { position: relative; height: 40px; cursor: pointer; font: 0/0 a; background: #5C5C5C; }
.mncart__submit-wrap::after { content: attr(data-count); -moz-box-sizing: border-box; box-sizing: border-box; position: absolute; width: 20px; height: 20px; border-radius: 50%; border: 2px solid #ff0000; background: #fff; font: 700 12px/15px geometria, arial; color: #000; top: -24px; left: 37px; text-align: center; padding: 0 0 0 1px; }
.mncart__submit-basket {  position: absolute; width: 51px; height: 51px; border-radius: 50%; border: 5px solid #515151; left: 5px; bottom: 10px; background: #0076FF; }
.mncart__submit-basket:before { content: ""; position: absolute; top: 0; left: 0; right: 0; bottom: 0; margin: auto; background: url(i/menu/cart/cart.svg) no-repeat 6px 50%; }
.mncart__submit-wrap:before  { content: attr(data-text); -moz-box-sizing: border-box; box-sizing: border-box; font: 600 17px/40px geometria, arial; color: #fff; position: relative; display: inline-block; vertical-align: top; width: calc(100% - 110px); text-align: center; padding: 0 0 0 49px; }
.mncart__submit { position: absolute; right: 0; top: 0; background: #1FC628; width: 110px; font: 600 18px/40px geometria, arial; color: #fff; text-align: center; transition: background-color 200ms; }

.mncart__submit-basket--animate:before { animation: BASKET 200ms; }

@keyframes BASKET {
  0% { transform: scale(1) }
  50% { transform: scale(.8);  }
  100% { transform: scale(1); }
}

.mncart__submit-wrap.btload--loading { text-align: center; }
.mncart__submit-wrap.btload--loading > .btload__ico { position: relative; top: 13px; }

.mncart--empty .mncart__submit { display: none; }
.mncart--empty .mncart__basket { background-color: #aaa; }
.mncart--empty .mncart__submit-wrap:after { display: none; }
.mncart--empty .mncart__submit-wrap:before { width: auto; display: block; padding-left: 10px; }



/* DESKTOP */
@media screen and (min-width:501px) {

  .mncart__wrap--mobile { display: none; }

  .mncart { margin: 0 0 15px 0;  background: #fff; border-radius: 3px;  }
  .mncart__title { font: 700 24px/24px geometria, arial; padding: 15px 0 18px 23px; border-bottom: 1px solid #ccc; margin: 0 0 15px 0 }

  .mncart--empty .mncart__title { display: none; }
  .mncart--empty .mncart__items:before { display: block; content: attr(data-empty); font: 15px/17px geometria, arial; text-align: center; color: #999; padding: 25px 10px 0 10px; }

  .mncart__items { padding: 0 10px 10px 10px; }

  .mncart .dish { min-height: 0; padding: 15px 10px 20px 11px }

  .mncart .dish__photos { display: none; }
  .mncart .dish__ingredients { display: none; }
  .mncart .dish__warn { display: none; }

  .mncart__summary { margin: 0 0 30px 0; }
  .mncart__summary .dcart__summary-sub { white-space: normal; margin-right: -70px; }
  .mncart__summary .dcart__summary-item { margin-left: 20px; margin-right: 20px; }


}

/* MOBILE */
@media screen and (max-width:500px) {

  .mncart__wrap--mobile { position: fixed; bottom: 0; left: 0; right: 0; z-index: 5; }
  .mncart__title, .mncart__items, .mncart__summary { display: none; }

  .html--cart-toolbar .layout__scrollable { margin-bottom: 40px; }

}
